<?php

use App\Http\Controllers\DishesControllerAPI;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
/*
|--------------------------------------------------------------------------
| Dishes endpoints
|--------------------------------------------------------------------------
 */
Route::name('dishes.')->prefix('dishes')->group(function () {
    Route::get('/', [DishesControllerAPI::class, 'index'])->name('index');
    Route::post('/', [DishesControllerAPI::class, 'store'])->name('create');
    Route::get('/{dishes}', [DishesControllerAPI::class, 'show'])->name('show');
    Route::patch('/{dishes}', [DishesControllerAPI::class, 'update'])->name('update');
    Route::delete('/{dishes}', [DishesControllerAPI::class, 'destroy'])->name('destroy');
});

